## org.apache.poi.xssf.usermodel.charts
Class XSSFValueAxis

    java.lang.Object
      org.apache.poi.xssf.usermodel.charts.XSSFChartAxis
          org.apache.poi.xssf.usermodel.charts.XSSFValueAxis

All Implemented Interfaces:
  ChartAxis, ValueAxis

    @Beta
    public class XSSFValueAxis

extends XSSFChartAxis
implements ValueAxis

Value axis type.

Author:
  Roman Kashitsyn

Field Summary

Fields inherited from class org.apache.poi.xssf.usermodel.charts.XSSFChartAxis
`chart`

Constructor Summary
`XSSFValueAxis(XSSFChart chart, org.openxmlformats.schemas.drawingml.x2006.chart.CTValAx ctValAx)`
`XSSFValueAxis(XSSFChart chart, long id, AxisPosition pos)`

Method Summary
`void` `crossAxis(ChartAxis axis)` Declare this axis cross another axis.
`AxisCrossBetween` `getCrossBetween()`
`protected org.openxmlformats.schemas.drawingml.x2006.chart.CTAxPos` `getCTAxPos()`
`protected org.openxmlformats.schemas.drawingml.x2006.chart.CTCrosses` `getCTCrosses()`
`protected org.openxmlformats.schemas.drawingml.x2006.chart.CTNumFmt` `getCTNumFmt()`
`protected org.openxmlformats.schemas.drawingml.x2006.chart.CTScaling` `getCTScaling()`
`long` `getId()`
`void` `setCrossBetween(AxisCrossBetween crossBetween)`

Methods inherited from class org.apache.poi.xssf.usermodel.charts.XSSFChartAxis
`getCrosses, getLogBase, getMaximum, getMinimum, getNumberFormat, getOrientation, getPosition, isSetLogBase, isSetMaximum, isSetMinimum, setCrosses, setLogBase, setMaximum, setMinimum, setNumberFormat, setOrientation, setPosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.poi.ss.usermodel.charts.ChartAxis
`getCrosses, getLogBase, getMaximum, getMinimum, getNumberFormat, getOrientation, getPosition, isSetLogBase, isSetMaximum, isSetMinimum, setCrosses, setLogBase, setMaximum, setMinimum, setNumberFormat, setOrientation, setPosition`

Constructor Detail

### XSSFValueAxis

    public XSSFValueAxis(XSSFChart chart,
                         long id,
                         AxisPosition pos)

### XSSFValueAxis

    public XSSFValueAxis(XSSFChart chart,
                         org.openxmlformats.schemas.drawingml.x2006.chart.CTValAx ctValAx)

Method Detail

### getId

    public long getId()

  Specified by:
    `getId` in interface `ChartAxis`
  Returns:
    axis id

### setCrossBetween

    public void setCrossBetween(AxisCrossBetween crossBetween)

  Specified by:
    `setCrossBetween` in interface `ValueAxis`
  Parameters:
    `crossBetween` - cross between type

### getCrossBetween

    public AxisCrossBetween getCrossBetween()

  Specified by:
    `getCrossBetween` in interface `ValueAxis`
  Returns:
    cross between type

### getCTAxPos

    protected org.openxmlformats.schemas.drawingml.x2006.chart.CTAxPos getCTAxPos()

  Specified by:
    `getCTAxPos` in class `XSSFChartAxis`

### getCTNumFmt

    protected org.openxmlformats.schemas.drawingml.x2006.chart.CTNumFmt getCTNumFmt()

  Specified by:
    `getCTNumFmt` in class `XSSFChartAxis`

### getCTScaling

    protected org.openxmlformats.schemas.drawingml.x2006.chart.CTScaling getCTScaling()

  Specified by:
    `getCTScaling` in class `XSSFChartAxis`

### getCTCrosses

    protected org.openxmlformats.schemas.drawingml.x2006.chart.CTCrosses getCTCrosses()

  Specified by:
    `getCTCrosses` in class `XSSFChartAxis`

### crossAxis

    public void crossAxis(ChartAxis axis)

  Description copied from interface: `ChartAxis`
  Declare this axis cross another axis.

  Specified by:
    `crossAxis` in interface `ChartAxis`
  Parameters:
    `axis` - that this axis should cross

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.